import { system } from "@minecraft/server";
import { showTomeOfSecrecy } from "./ui/ui_tome_of_secrecy";
import { removeItemFromHand } from "./utils";
import { spawnGuideBook } from "./guide_book";
export class TomeOfSecrecyComponent {
    onUse(event) {
        showTomeOfSecrecy(event.source);
    }
}
export class GuideBookComponent {
    onUse(event) {
        if (event.itemStack) {
            removeItemFromHand(event.source, event.itemStack, 1);
        }
        // Delay by a tick to circumvent vanilla sync bug that makes slot look empty even though the book was picked up
        system.runTimeout(() => {
            spawnGuideBook(event.source);
        }, 1);
    }
}

//# sourceMappingURL=../../_blay_waystonesDebug/tomes.js.map
