export const GROUP_FAVORITES = "favorites";
export const GROUP_PLAYER_HOMES = "player_homes";
export const GROUP_VILLAGES = "villages";
export const GROUP_THE_NETHER = "the_nether";
export const GROUP_THE_END = "the_end";
export const allGroups = [
    {
        id: GROUP_FAVORITES,
        label: { translate: "gui.blay_waystones.waystone_groups.favorites" },
        icon: "textures/blay/waystones/icons/favorites",
    },
    {
        id: GROUP_PLAYER_HOMES,
        label: { translate: "gui.blay_waystones.waystone_groups.player_homes" },
        icon: "textures/blay/waystones/icons/player_homes",
    },
    {
        id: "resource_sites",
        label: { translate: "gui.blay_waystones.waystone_groups.resource_sites" },
        icon: "textures/blay/waystones/icons/resource_sites",
    },
    {
        id: "dungeons",
        label: { translate: "gui.blay_waystones.waystone_groups.dungeons" },
        icon: "textures/blay/waystones/icons/dungeons",
    },
    {
        id: GROUP_VILLAGES,
        label: { translate: "gui.blay_waystones.waystone_groups.villages" },
        icon: "textures/blay/waystones/icons/villages",
    },
    {
        id: "community_hubs",
        label: { translate: "gui.blay_waystones.waystone_groups.community_hubs" },
        icon: "textures/blay/waystones/icons/community_hubs",
    },
    {
        id: GROUP_THE_NETHER,
        label: { translate: "gui.blay_waystones.waystone_groups.the_nether" },
        icon: "textures/blay/waystones/icons/the_nether",
    },
    {
        id: GROUP_THE_END,
        label: { translate: "gui.blay_waystones.waystone_groups.the_end" },
        icon: "textures/blay/waystones/icons/the_end",
    },
];
export const groupsWithoutFavorite = allGroups.filter((group) => group.id !== GROUP_FAVORITES);
export const groupIcons = new Map(allGroups.map((it) => [it.id, it.icon]));

//# sourceMappingURL=../../_blay_waystonesDebug/waystone_groups.js.map
